Package org.apache.catalina.authenticator

# Class DigestAuthenticator.NonceInfo

java.lang.Object
org.apache.catalina.authenticator.DigestAuthenticator.NonceInfo

Enclosing class:
  `DigestAuthenticator`

public static class DigestAuthenticator.NonceInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`NonceInfo(long currentTime, int seenWindowSize)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getTimestamp()`
`boolean`
`nonceCountValid(long nonceCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NonceInfo

public NonceInfo(long currentTime, int seenWindowSize)

## Method Details

### nonceCountValid

public boolean nonceCountValid(long nonceCount)

### getTimestamp

public long getTimestamp()